#ifndef APPLICATION_H
#define APPLICATION_H

#include <QAction>
#include <QApplication>
#include <QMainWindow>
#include <QSettings>
#include <QTabWidget>
#include <QToolBar>

#include "centralwidget.h"
#include "mainwindow.h"

class XkorApplication : public QApplication
{
	Q_OBJECT
	
	private:
		XkorMainWindow * mainWindow;
		QTabWidget * tw;
		QAction * newAction, * openAction, * saveAction, * saveAsAction, * settingsAction;
		bool modified;
		XkorCentralWidget * cw;
		QToolBar * toolBar;
		QSettings * settings;
	private slots:
		void editSettings();
		void refreshSearchPaths();
		void setDefaultSettings();
		void setFileName(QString filename);
		void setModified(bool newModified = true);
	
	public:
		XkorApplication(int & c, char * * v);
		bool notify(QObject * rec, QEvent * ev);
};

#endif
