#include "massstartcompetitionoptions.h"

XkorMassStartCompetitionOptions::XkorMassStartCompetitionOptions(QHash<QString, QVariant> opts, QWidget * parent) : XkorAbstractOptionsWidget(opts, parent)
{
	overallRanking = new QCheckBox(tr("Generate overall ranking of participants (across groups)"));
	if(options.value("overallRanking", "false") == "true")
		overallRanking->setCheckState(Qt::Checked);
	connect(overallRanking, SIGNAL(stateChanged(int)), this, SLOT(setOverallRanking(int)));

	sortResults = new QCheckBox(tr("Sort results"));
	if(options.value("sortResults", "true") == "true")
		sortResults->setCheckState(Qt::Checked);
	connect(sortResults, SIGNAL(stateChanged(int)), this, SLOT(setSortResults(int)));

	QFormLayout * layout = new QFormLayout(this);
	layout->addRow(sortResults);
	layout->addRow(overallRanking);
}

void XkorMassStartCompetitionOptions::setOverallRanking(int value)
{
	if(value == Qt::Checked)
		options["overallRanking"] = "true";
	else
		options["overallRanking"] = "false";
	emit optionsChanged(options);
}

void XkorMassStartCompetitionOptions::setSortResults(int value)
{
	if(value == Qt::Checked)
	{
		options["sortResults"] = "true";
		overallRanking->setEnabled(true);
		setOverallRanking(overallRanking->checkState());
	}
	else
	{
		options["sortResults"] = "false";
		overallRanking->setEnabled(false);
		options["overallRanking"] = "false";
	}
	emit optionsChanged(options);
}
