#include "competitions/options/roundrobinbasicoptionswidget.h"

#include <QFormLayout>
#include <QHBoxLayout>

XkorRoundRobinBasicOptionsWidget::XkorRoundRobinBasicOptionsWidget(int legs, QWidget * parent) : QWidget(parent)
{
	numberOfLegs = new QSpinBox;
	numberOfLegs->setValue(legs);
	numberOfLegs->setMinimum(1);
	numberOfLegs->setMaximum(99);
	setNumberOfLegs(numberOfLegs->value());
	connect(numberOfLegs, SIGNAL(valueChanged(int)), this, SLOT(setNumberOfLegs(int)));
	
	QFormLayout * form = new QFormLayout(this);
	form->addRow(tr("Number of legs:"), numberOfLegs);
}

void XkorRoundRobinBasicOptionsWidget::setNumberOfLegs(int value)
{
	emit numberOfLegsChanged(value);
}
