#ifndef ROUNDROBINCOMPETITIONOPTIONS_H
#define ROUNDROBINCOMPETITIONOPTIONS_H

#include <QTabWidget>
#include "abstractoptionswidget.h"
#include "competitions/options/roundrobinbasicoptionswidget.h"
#include "competitions/options/tableoptionswidget.h"

class XkorRoundRobinCompetitionOptions : public XkorAbstractOptionsWidget
{
	Q_OBJECT
	
	private:
		QTabWidget * tw;
		XkorRoundRobinBasicOptionsWidget * basicOptions;
		XkorTableOptionsWidget * tableOptions;
		
	private slots:
		void setNumberOfLegs(int value);
		void setPointsForDraw(int value);
		void setPointsForLoss(int value);
		void setPointsForWin(int value);
		void setSortCriteria();
		void setTableColumns();
		
	public:
		XkorRoundRobinCompetitionOptions(QHash<QString, QVariant> opts, QWidget * parent = 0);
};

#endif
