#ifndef TABLEOPTIONSWIDGET_H
#define TABLEOPTIONSWIDGET_H

#include <QFormLayout>
#include <QSpinBox>
#include "tablegenerator/sortcriteriawidget.h"
#include "tablegenerator/tablecolumnswidget.h"

class XkorTableOptionsWidget : public QWidget
{
	Q_OBJECT
	
	private:
		XkorSortCriteriaWidget * sc;
		XkorTableColumnsWidget * tc;
		QSpinBox * ptsWin, * ptsDraw, * ptsLoss;
		
	private slots:
		void setPointsForDrawChanged(int value);
		void setPointsForLossChanged(int value);
		void setPointsForWinChanged(int value);
		void setSortCriteriaChanged();
		void setTableColumnsChanged();
		
	public:
		XkorTableOptionsWidget(std::vector<QString> & sortCriteria, std::vector<XkorTableColumn> & tableColumns, int pointsForWin, int pointsForDraw, int pointsForLoss, QWidget * parent = 0);
		std::vector<QString> sortCriteria() const;
		std::vector<XkorTableColumn> tableColumns() const;
		
	signals:
		void pointsForDrawChanged(int value);
		void pointsForLossChanged(int value);
		void pointsForWinChanged(int value);
		void sortCriteriaChanged();
		void tableColumnsChanged();
};

#endif
