#include "paradigms/options/bestofparadigmoptions.h"

#include <QtDebug>

XkorBestOfParadigmOptions::XkorBestOfParadigmOptions(QHash<QString, QVariant> opts, QWidget * parent) : XkorAbstractOptionsWidget(opts, parent)
{
	showTLAs = new QCheckBox(tr("Show nation codes"));
	if(options.value("showTLAs", "true") == "true")
		showTLAs->setCheckState(Qt::Checked);
	else
		showTLAs->setCheckState(Qt::Unchecked);
	setShowTLAs(showTLAs->checkState());
	connect(showTLAs, SIGNAL(stateChanged(int)), this, SLOT(setShowTLAs(int)));

	// layout
	QFormLayout * formLayout = new QFormLayout(this);
	formLayout->addRow(showTLAs);
}

XkorBestOfParadigmOptions::~XkorBestOfParadigmOptions()
{
	delete showTLAs;
}

void XkorBestOfParadigmOptions::setShowTLAs(int x)
{
	if(x == Qt::Checked)
		options.insert("showTLAs", "true");
	else
		options.insert("showTLAs", "false");
	emit optionsChanged(options);
}
