#include "paradigms/options/sqisparadigmoptions.h"

#include <QtDebug>

XkorSQISParadigmOptions::XkorSQISParadigmOptions(QHash<QString, QVariant> opts, QWidget * parent) : XkorAbstractOptionsWidget(opts, parent)
{
	homeAdvantage = new QCheckBox(tr("Home advantage"));
	if(options.value("homeAdvantage", "true") == "true")
		homeAdvantage->setCheckState(Qt::Checked);
	else
		homeAdvantage->setCheckState(Qt::Unchecked);
	setHomeAdvantage(homeAdvantage->checkState());
	connect(homeAdvantage, SIGNAL(stateChanged(int)), this, SLOT(setHomeAdvantage(int)));

	showTLAs = new QCheckBox(tr("Show nation codes"));
	if(options.value("showTLAs") == "true")
		showTLAs->setCheckState(Qt::Checked);
	else
		showTLAs->setCheckState(Qt::Unchecked);
	setShowTLAs(showTLAs->checkState());
	connect(showTLAs, SIGNAL(stateChanged(int)), this, SLOT(setShowTLAs(int)));
	
	styleMods = new QCheckBox(tr("Use style modifiers"));
	if(options.value("styleMods") == "false")
		styleMods->setCheckState(Qt::Unchecked);
	else
		styleMods->setCheckState(Qt::Checked);
	setStyleMods(styleMods->checkState());
	connect(styleMods, SIGNAL(stateChanged(int)), this, SLOT(setStyleMods(int)));
	
	// layout
	layout = new QGridLayout(this);
	layout->addWidget(homeAdvantage, 0, 0);
	layout->addWidget(styleMods, 1, 0);
	layout->addWidget(showTLAs, 2, 0);
}

XkorSQISParadigmOptions::~XkorSQISParadigmOptions()
{
	delete homeAdvantage;
}

void XkorSQISParadigmOptions::setHomeAdvantage(int x)
{
	if(x == Qt::Checked)
		options.insert("homeAdvantage", "true");
	else
		options.insert("homeAdvantage", "false");
	emit optionsChanged(options);
}

void XkorSQISParadigmOptions::setShowTLAs(int x)
{
	if(x == Qt::Checked)
		options.insert("showTLAs", "true");
	else
		options.insert("showTLAs", "false");
	emit optionsChanged(options);
}

void XkorSQISParadigmOptions::setStyleMods(int x)
{
	if(x == Qt::Checked)
		options.insert("styleMods", "true");
	else
		options.insert("styleMods", "false");
	emit optionsChanged(options);
}
