#include "paradigms/options/tennisparadigmoptions.h"

#include <QtDebug>

XkorTennisParadigmOptions::XkorTennisParadigmOptions(QHash<QString, QVariant> opts, QWidget * parent) : XkorAbstractOptionsWidget(opts, parent)
{
	showTLAs = new QCheckBox(tr("Show nation codes"));
	if(options.value("showTLAs") == "false")
		showTLAs->setCheckState(Qt::Unchecked);
	else
		showTLAs->setCheckState(Qt::Checked);
	setShowTLAs(showTLAs->checkState());
	connect(showTLAs, SIGNAL(stateChanged(int)), this, SLOT(setShowTLAs(int)));

	nameWidth = new QSpinBox;
	nameWidth->setRange(5, 200);
	nameWidth->setSingleStep(5);
	if(options.contains("nameWidth"))
		nameWidth->setValue(options.value("nameWidth").toInt());
	else
		nameWidth->setValue(40);
	setNameWidth(nameWidth->value());
	connect(nameWidth, SIGNAL(valueChanged(int)), this, SLOT(setNameWidth(int)));

	resultWidth = new QSpinBox;
	resultWidth->setRange(2, 20);
	if(options.contains("resultWidth"))
		resultWidth->setValue(options.value("resultWidth").toInt());
	else
		resultWidth->setValue(5);
	setResultWidth(resultWidth->value());
	connect(resultWidth, SIGNAL(valueChanged(int)), this, SLOT(setResultWidth(int)));

	// layout
	formLayout = new QFormLayout(this);
	formLayout->addRow(showTLAs);
	formLayout->addRow(tr("Name column width"), nameWidth);
	formLayout->addRow(tr("Result column widths"), resultWidth);
}

XkorTennisParadigmOptions::~XkorTennisParadigmOptions()
{
	delete showTLAs;
	delete nameWidth;
	delete resultWidth;
}

void XkorTennisParadigmOptions::setShowTLAs(int x)
{
	if(x == Qt::Checked)
		options.insert("showTLAs", "true");
	else
		options.insert("showTLAs", "false");
	emit optionsChanged(options);
}

void XkorTennisParadigmOptions::setNameWidth(int x)
{
	options.insert("nameWidth", x);
	emit optionsChanged(options);
}

void XkorTennisParadigmOptions::setResultWidth(int x)
{
	options.insert("resultWidth", x);
	emit optionsChanged(options);
}
