#include "settings/settingsdialog.h"

#include <QFormLayout>
#include <QGridLayout>
#include <QPushButton>

XkorSettingsDialog::XkorSettingsDialog(QWidget * parent, Qt::WindowFlags f) : QDialog(parent, f)
{
	sportDirectoryEdit = new XkorFileLineEdit(tr("Select sport directory"), "sports:./");
	connect(sportDirectoryEdit, SIGNAL(textChanged(QString)), this, SLOT(setSportDirectory(QString)));
	
	// form layout
	QFormLayout * form = new QFormLayout;
	form->addRow(tr("Location of sport files:"), sportDirectoryEdit);
	
	// okay/cancel
	QPushButton * okay = new QPushButton(QIcon(":/icons/dialog-ok"), tr("OK"));
	QPushButton * cancel = new QPushButton(QIcon(":/icons/dialog-cancel"), tr("Cancel"));
	connect(okay, SIGNAL(clicked()), this, SLOT(accept()));
	connect(cancel, SIGNAL(clicked()), this, SLOT(reject()));
	
	// layout
	QGridLayout * layout = new QGridLayout(this);
	layout->addLayout(form, 0, 0, 1, 3);
	layout->addWidget(okay, 1, 1);
	layout->addWidget(cancel, 1, 2);
}
